import { PropertyMatcher } from '@aws-cdk/assert';
/**
 * Do a glob-like pattern match (which only supports *s)
 */
export declare function stringLike(pattern: string): PropertyMatcher;
/**
 * Matches any value
 */
export declare function anything(): PropertyMatcher;
/**
 * Negate an inner matcher
 */
export declare function notMatching(matcher: any): PropertyMatcher;
/**
 * Sort an array (of Actions) by their RunOrder field before applying a matcher.
 *
 * Makes the matcher independent of the order in which the Actions get synthed
 * to the template. Elements with the same RunOrder will be sorted by name.
 */
export declare function sortedByRunOrder(matcher: any): PropertyMatcher;
/**
 * Match on the innards of a JSON string, instead of the complete string
 */
export declare function encodedJson(matcher: any): PropertyMatcher;
